\documentclass[../main.tex]{subfiles}
\begin{document}
Every physical can be potentially analyzed in the time and frequency domain.
The benefits of the frequency analysis is the possibility of additional insights of the functional
dependence between the signals. The Fourier transform is one of those tools that make the connection
between the time and frequency domain. The Furriers analysis for a given function $f(t)$ is
the superposition of exponentials of shape $e^{j \omega t}$ the downside of this is the spikes that
appear in the frequency domain characteristic.

The wavelet transform is a tool that is frequently compared to the Fourier transform.
The Fourier transform can be viewed as a special case of the Wavelet transform when
the mother function that is chosen is of shape $\psi = e^{-2 \cdot \pi \cdot i \cdot t}$. The benefit
of using Wavelet analysis is that the wavelet signals used are finite in both the frequency and
the time domain, and the result is bounded both in the upper and lower frequencies of the
signal~\cite{bravcivc1998wavelet}. For a quadratic integrable function $f(t)$ we can define the wavelet
transform as:
\begin{equation}\label{wavelet_transform}
	C(a,b) =  \frac{1}{\sqrt[]a}  \int_{-\infty}^{+\infty} f(t) \psi^* (\frac{t-b}{a})dt
\end{equation}

Where $a, b \in \mathbb{R}$, $a \neq 0$,.
The family of base functions $\Psi$ is constructed by translation of the mother function
$\psi(t)$ by the parameter $b$ while the scaling of the function is done by the parameter
$a$, picking a valued of $a<1$ shrinks the function while picking a parameter $a>1$
stretches the function.

\subsection{Morlet Wavelet}
In this study the Morlet Wavelet is chosen as a mother function. It's defined as:
\begin{equation}\label{morlet_expanded}
	\psi(t) = \pi^{-\frac{1}{4}} (e^{-i w_0 t}- e^{-\frac{w_0^2}{2}}) e^{\frac{-t^2}{2}}
\end{equation}

The Morlet function is a Gaussian function modulated by a sinusoid function.
The parameter $w_0$ represents the central frequency of the Morlet function.
In this study we chose $w_0 = 10Hz$ which allows analysis of the sudden changes and spikes that
are localized in time. If we chose a bigger value for the parameter $w_0$ we would get insight
into a wider range of frequency events.

After choosing the above mentioned value the Morlet wavelet from equation~\ref{morlet_expanded},
the second term of the equation can be omitted since the second term of the exponential has a small
enough value. The Morlet wavelet under these condition gets the shape:

\begin{equation}\label{morlet_minimized}
	\psi(t) = \pi^{-\frac{1}{4}} e^{-i w_0 t} e^{\frac{-t^2}{2}}
\end{equation}

\begin{figure}[H]
	\begin{subfigure}[t]{\textwidth}
		\centering
		\includegraphics[width=.75\linewidth]{/wavelet_plots/overlap_time_domain_wavelet_w015_w0110.png}
	\end{subfigure}

	\medskip

	\begin{subfigure}[t]{.5\textwidth}
		\centering
		\includegraphics[width=.9\linewidth]{/wavelet_plots/time_domain_wavelet_w010.png}
	\end{subfigure}
	\hfill
	\begin{subfigure}[t]{.5\textwidth}
		\centering
		\includegraphics[width=.9\linewidth]{/wavelet_plots/frequency_domain_wavelet_w010.png}
	\end{subfigure}

	\medskip

	\begin{subfigure}[t]{.5\textwidth}
		\centering
		\includegraphics[width=.9\linewidth]{/wavelet_plots/time_domain_wavelet_w05.png}
	\end{subfigure}
	\hfill
	\begin{subfigure}[t]{.5\textwidth}
		\centering
		\includegraphics[width=.9\linewidth]{/wavelet_plots/frequency_domain_wavelet_w05.png}
	\end{subfigure}
	\caption{The Morlet wavelet represented in both the time and the frequency domain}
\end{figure}

\subsection{Wavelet transform of the EEG signals}
The main interest of this study lies in the interaction of the $\delta$, $\theta$ and $\alpha$ neural bands.
We picked the $\delta$, $\theta$ and $\alpha$ neural bands because the data of interest has been filtered in the range of
$0.8Hz$ to $28Hz$. The dominant neural frequency bands can be observed in table~\ref{table:freq_bands}.

\vspace{5mm}
\begin{table}[H]
	\centering
	\begin{tabularx}{0.8\textwidth} {
			| >{\raggedright\arraybackslash}X
			| >{\centering\arraybackslash}X
			| >{\raggedleft\arraybackslash}X |}
		\hline
		Frequency band & Neural band \\
		\hline
		$ 0.8-4 Hz$    & $ \delta$   \\
		\hline
		$ 4-7.5 Hz$    & $ \theta$   \\
		\hline
		$ 7.5-14 Hz$   & $ \alpha$   \\
		\hline
		$ 14-22 Hz$    & $ \beta$    \\
		\hline
		$ 22-40 Hz$    & $ \gamma$   \\
		\hline
	\end{tabularx}
	\caption{Frequency bands and their corresponding neural bands}\label{table:freq_bands}
\end{table}

\vspace{5mm}

\subsection{Results and characteristic occurrences}
\begin{enumerate}
	\item The peak that appears at the characteristic frequency of around $10Hz$
	      figure\ref{fig:patient_wavelet_10hz} is a general occurrence for all of the RSVP experiments done.
	      This frequency is part of the $\alpha$ neural band. The occurrence of this is tied to the state of
          visual suppression or blinking. The peak of 10 $10Hz$ is less likely to appear at the RSVP tasks done
          at a lower frequency.


	\item the peak that appears in the spectrograms at the frequency of $5hz$
	      figure~\ref{fig:patient_wavelet_5hz} and figure\ref{fig:patient_wavelet_6hz} is a characteristic
	      occurrence at  $5hz$ and $6hz$ RSVP experiments. The characteristic neural frequencies are
	      part of the $\theta$ frequency neural band. This occurrence is part of the normal response that
	      happens in the brain while under visual stimulation~\cite{frauscher2018sharply}.

\end{enumerate}

\begin{figure}[H]
	\centering
	\includegraphics[width=\textwidth]{images/wavelet_images_cmorl1-10/10-Hz/rsvp_10Hz_02a0.png}
	\caption{Wavelet spectogram of a $10Hz$ RSVP task.}\label{fig:patient_wavelet_10hz}
\end{figure}

\begin{figure}[H]
	\centering
	\includegraphics[width=\textwidth]{images/wavelet_images_cmorl1-10/6-Hz/rsvp_6Hz_02a0.png}
	\caption{Wavelet spectogram of a $6Hz$ RSVP task.}\label{fig:patient_wavelet_6hz}
\end{figure}

\begin{figure}[H]
	\centering
	\includegraphics[width=\textwidth]{images/wavelet_images_cmorl1-10/5-Hz/rsvp_5Hz_02a0.png}
	\caption{Wavelet spectogram of a $5Hz$ RSVP task.}\label{fig:patient_wavelet_5hz}
\end{figure}

\subsection{Spectral Analysis}
The occurrence of characteristic peaks of  $5Hz$, $6Hz$ and $10Hz$ leads to a natural
statistical analysis of every neural band. The figures show the spectral distributions of power of
every neural band for every frequency of the experiment.

\begin{figure}[H]
	\centering
	\includegraphics[width=\textwidth]{images/box_experiment_frequency/5Hz.png}
	\caption{Power distribution for the $5Hz$ RSVP task.}\label{fig:box_state_5hz}
\end{figure}

\begin{figure}[H]
	\centering
	\includegraphics[width=\textwidth]{images/box_experiment_frequency/6Hz.png}
	\caption{Power distribution for the $6Hz$ RSVP task.}\label{fig:box_state_6hz}
\end{figure}

\begin{figure}[H]
	\centering
	\includegraphics[width=\textwidth]{images/box_experiment_frequency/10Hz.png}
	\caption{Power distribution for the $10Hz$ RSVP task.}\label{fig:box_state_10hz}
\end{figure}

With the goal of examining the statistical correlation of the neural bands in every
experiment the Wilcoxon signed-rank test is done. The Wilkoxon signed-rank test is
a statistical test of the null hypothesis, that there exists correlation between two
sets of samples. A large value for the Wilcoxon test implies a large statistical
correlation between two sets of values.

The corresponding p-values for the $5Hz$ experiment are given in table~\ref{table:p_values_experiment_freq5Hz}.
The hypothesis that there are some peaks of interest at the $5Hz$ range is supported by the p-values.
Because of the small p-value we can deduce that there is no correlation between the $\theta$ and $\alpha$ neural bands.

\begin{table}[H]
	\centering
	\begin{tabularx}{\textwidth}{ X }
		\midrule
		$\theta - \alpha$    \\
		\midrule
		0.016656305210212025 \\
		\midrule
	\end{tabularx}
	\caption{P-values for the frequency bands for a 5Hz experiment}\label{table:p_values_experiment_freq5Hz}
\end{table}

The p-values for the $6Hz$ experiments are displayed in table\ref{table:p_values_experiment_freq6Hz}. The
peaks of that appear at the frequency values of $5Hz$ and $6Hz$ that belong to the $\theta$ neural band at are not
correlated with the $\alpha$ neural bands, this is backup by the small p-value.

\begin{table}[H]
	\centering
	\begin{tabularx}{\textwidth}{ X }
		\midrule
		$\theta - \alpha$    \\
		\midrule
		0.006830255863044082 \\
		\midrule
	\end{tabularx}
	\caption{P-values for the frequency bands for a 6Hz experiment}\label{table:p_values_experiment_freq6Hz}
\end{table}

The p-values for the $10Hz$ experiments are displayed in table\ref{table:p_values_experiment_freq6Hz}.
Because of the p-value of $0.07$ and the small number of samples of the experiment we can not give an
assumption about the correlation of the $\alpha$ and $\theta$ neural bands
\begin{table}[H]
	\centering
	\begin{tabularx}{\textwidth}{X}
		\midrule
		$\theta - \alpha$   \\
		\midrule
		0.07421171617678754 \\
		\midrule
	\end{tabularx}
	\caption{P-values for the frequency bands for a 10Hz experiment}\label{table:p_values_experiment_freq10Hz}
\end{table}


Figures~\ref{fig:box_freq_theta} and~\ref{fig:box_freq_alpha} represent the
distribution of the $\theta$ and $\alpha$ neural bands in regards to the RSVP experiments.
\begin{figure}[H]
	\centering
	\includegraphics[width=\textwidth]{images/box_frequency_experiment/5Hz.png}
	\caption{Distribution of the $\theta$ neural band in regards to the experiment speeds}\label{fig:box_freq_theta}
\end{figure}

\begin{figure}[H]
	\centering
	\includegraphics[width=\textwidth]{images/box_frequency_experiment/10Hz.png}
	\caption{Distribution of the $\alpha$ neural band in regards to the experiment speeds}\label{fig:box_freq_alpha}
\end{figure}

For every speed of execution of the RSVP task every neural band is highly correlated to itself.
This hypothesis is backed up by the large p-values given in tables~\ref{table:p_values_freq_experiment_theta}
and~\ref{table:p_values_freq_experiment_alpha}.

The p-values for the $\theta$ are given in table~\ref{table:p_values_freq_experiment_theta}.
\begin{table}[H]
	\centering
	\begin{tabularx}{\textwidth}{ X  X  X }
		\midrule
		5Hz--6Hz           & 5--10Hz            & 6--10Hz            \\
		\midrule
		0.8011623415610218 & 0.8600659841573102 & 0.8710691939955636 \\
		\midrule
	\end{tabularx}
	\caption{P-values for every frequency band for the 5Hz RSVP task}\label{table:p_values_freq_experiment_theta}
\end{table}

The p-values for the $\alpha$ are given in table~\ref{table:p_values_freq_experiment_theta}.
\begin{table}[H]
	\centering
	\begin{tabularx}{\textwidth}{ X  X  X }
		\midrule
		5Hz--6Hz           & 5--10Hz            & 6--10Hz            \\
		\midrule
		0.8011623415610218 & 0.8600659841573102 & 0.8710691939955636 \\
		\midrule
	\end{tabularx}
	\caption{P-values for every frequency band for every RSVP task frequency of execution}\label{table:p_values_freq_experiment_alpha}
\end{table}
\end{document}
